local ____exports = {}
do
    local ____EntityTakeDmgFilter = require("classes.callbacks.EntityTakeDmgFilter")
    local EntityTakeDmgFilter = ____EntityTakeDmgFilter.EntityTakeDmgFilter
    ____exports.EntityTakeDmgFilter = EntityTakeDmgFilter
end
do
    local ____EntityTakeDmgPlayer = require("classes.callbacks.EntityTakeDmgPlayer")
    local EntityTakeDmgPlayer = ____EntityTakeDmgPlayer.EntityTakeDmgPlayer
    ____exports.EntityTakeDmgPlayer = EntityTakeDmgPlayer
end
do
    local ____InputActionFilter = require("classes.callbacks.InputActionFilter")
    local InputActionFilter = ____InputActionFilter.InputActionFilter
    ____exports.InputActionFilter = InputActionFilter
end
do
    local ____InputActionPlayer = require("classes.callbacks.InputActionPlayer")
    local InputActionPlayer = ____InputActionPlayer.InputActionPlayer
    ____exports.InputActionPlayer = InputActionPlayer
end
do
    local ____PostAmbushFinished = require("classes.callbacks.PostAmbushFinished")
    local PostAmbushFinished = ____PostAmbushFinished.PostAmbushFinished
    ____exports.PostAmbushFinished = PostAmbushFinished
end
do
    local ____PostAmbushStarted = require("classes.callbacks.PostAmbushStarted")
    local PostAmbushStarted = ____PostAmbushStarted.PostAmbushStarted
    ____exports.PostAmbushStarted = PostAmbushStarted
end
do
    local ____PostBombExploded = require("classes.callbacks.PostBombExploded")
    local PostBombExploded = ____PostBombExploded.PostBombExploded
    ____exports.PostBombExploded = PostBombExploded
end
do
    local ____PostBombInitFilter = require("classes.callbacks.PostBombInitFilter")
    local PostBombInitFilter = ____PostBombInitFilter.PostBombInitFilter
    ____exports.PostBombInitFilter = PostBombInitFilter
end
do
    local ____PostBombInitLate = require("classes.callbacks.PostBombInitLate")
    local PostBombInitLate = ____PostBombInitLate.PostBombInitLate
    ____exports.PostBombInitLate = PostBombInitLate
end
do
    local ____PostBombRenderFilter = require("classes.callbacks.PostBombRenderFilter")
    local PostBombRenderFilter = ____PostBombRenderFilter.PostBombRenderFilter
    ____exports.PostBombRenderFilter = PostBombRenderFilter
end
do
    local ____PostBombUpdateFilter = require("classes.callbacks.PostBombUpdateFilter")
    local PostBombUpdateFilter = ____PostBombUpdateFilter.PostBombUpdateFilter
    ____exports.PostBombUpdateFilter = PostBombUpdateFilter
end
do
    local ____PostBoneSwing = require("classes.callbacks.PostBoneSwing")
    local PostBoneSwing = ____PostBoneSwing.PostBoneSwing
    ____exports.PostBoneSwing = PostBoneSwing
end
do
    local ____PostCollectibleEmpty = require("classes.callbacks.PostCollectibleEmpty")
    local PostCollectibleEmpty = ____PostCollectibleEmpty.PostCollectibleEmpty
    ____exports.PostCollectibleEmpty = PostCollectibleEmpty
end
do
    local ____PostCursedTeleport = require("classes.callbacks.PostCursedTeleport")
    local PostCursedTeleport = ____PostCursedTeleport.PostCursedTeleport
    ____exports.PostCursedTeleport = PostCursedTeleport
end
do
    local ____PostCustomRevive = require("classes.callbacks.PostCustomRevive")
    local PostCustomRevive = ____PostCustomRevive.PostCustomRevive
    ____exports.PostCustomRevive = PostCustomRevive
end
do
    local ____PostDiceRoomActivated = require("classes.callbacks.PostDiceRoomActivated")
    local PostDiceRoomActivated = ____PostDiceRoomActivated.PostDiceRoomActivated
    ____exports.PostDiceRoomActivated = PostDiceRoomActivated
end
do
    local ____PostDoorRender = require("classes.callbacks.PostDoorRender")
    local PostDoorRender = ____PostDoorRender.PostDoorRender
    ____exports.PostDoorRender = PostDoorRender
end
do
    local ____PostDoorUpdate = require("classes.callbacks.PostDoorUpdate")
    local PostDoorUpdate = ____PostDoorUpdate.PostDoorUpdate
    ____exports.PostDoorUpdate = PostDoorUpdate
end
do
    local ____PostEffectInitFilter = require("classes.callbacks.PostEffectInitFilter")
    local PostEffectInitFilter = ____PostEffectInitFilter.PostEffectInitFilter
    ____exports.PostEffectInitFilter = PostEffectInitFilter
end
do
    local ____PostEffectInitLate = require("classes.callbacks.PostEffectInitLate")
    local PostEffectInitLate = ____PostEffectInitLate.PostEffectInitLate
    ____exports.PostEffectInitLate = PostEffectInitLate
end
do
    local ____PostEffectRenderFilter = require("classes.callbacks.PostEffectRenderFilter")
    local PostEffectRenderFilter = ____PostEffectRenderFilter.PostEffectRenderFilter
    ____exports.PostEffectRenderFilter = PostEffectRenderFilter
end
do
    local ____PostEffectStateChanged = require("classes.callbacks.PostEffectStateChanged")
    local PostEffectStateChanged = ____PostEffectStateChanged.PostEffectStateChanged
    ____exports.PostEffectStateChanged = PostEffectStateChanged
end
do
    local ____PostEffectUpdateFilter = require("classes.callbacks.PostEffectUpdateFilter")
    local PostEffectUpdateFilter = ____PostEffectUpdateFilter.PostEffectUpdateFilter
    ____exports.PostEffectUpdateFilter = PostEffectUpdateFilter
end
do
    local ____PostEntityKillFilter = require("classes.callbacks.PostEntityKillFilter")
    local PostEntityKillFilter = ____PostEntityKillFilter.PostEntityKillFilter
    ____exports.PostEntityKillFilter = PostEntityKillFilter
end
do
    local ____PostEsauJr = require("classes.callbacks.PostEsauJr")
    local PostEsauJr = ____PostEsauJr.PostEsauJr
    ____exports.PostEsauJr = PostEsauJr
end
do
    local ____PostFamiliarInitFilter = require("classes.callbacks.PostFamiliarInitFilter")
    local PostFamiliarInitFilter = ____PostFamiliarInitFilter.PostFamiliarInitFilter
    ____exports.PostFamiliarInitFilter = PostFamiliarInitFilter
end
do
    local ____PostFamiliarInitLate = require("classes.callbacks.PostFamiliarInitLate")
    local PostFamiliarInitLate = ____PostFamiliarInitLate.PostFamiliarInitLate
    ____exports.PostFamiliarInitLate = PostFamiliarInitLate
end
do
    local ____PostFamiliarRenderFilter = require("classes.callbacks.PostFamiliarRenderFilter")
    local PostFamiliarRenderFilter = ____PostFamiliarRenderFilter.PostFamiliarRenderFilter
    ____exports.PostFamiliarRenderFilter = PostFamiliarRenderFilter
end
do
    local ____PostFamiliarStateChanged = require("classes.callbacks.PostFamiliarStateChanged")
    local PostFamiliarStateChanged = ____PostFamiliarStateChanged.PostFamiliarStateChanged
    ____exports.PostFamiliarStateChanged = PostFamiliarStateChanged
end
do
    local ____PostFamiliarUpdateFilter = require("classes.callbacks.PostFamiliarUpdateFilter")
    local PostFamiliarUpdateFilter = ____PostFamiliarUpdateFilter.PostFamiliarUpdateFilter
    ____exports.PostFamiliarUpdateFilter = PostFamiliarUpdateFilter
end
do
    local ____PostFirstEsauJr = require("classes.callbacks.PostFirstEsauJr")
    local PostFirstEsauJr = ____PostFirstEsauJr.PostFirstEsauJr
    ____exports.PostFirstEsauJr = PostFirstEsauJr
end
do
    local ____PostFirstFlip = require("classes.callbacks.PostFirstFlip")
    local PostFirstFlip = ____PostFirstFlip.PostFirstFlip
    ____exports.PostFirstFlip = PostFirstFlip
end
do
    local ____PostFlip = require("classes.callbacks.PostFlip")
    local PostFlip = ____PostFlip.PostFlip
    ____exports.PostFlip = PostFlip
end
do
    local ____PostGameEndFilter = require("classes.callbacks.PostGameEndFilter")
    local PostGameEndFilter = ____PostGameEndFilter.PostGameEndFilter
    ____exports.PostGameEndFilter = PostGameEndFilter
end
do
    local ____PostGameStartedReordered = require("classes.callbacks.PostGameStartedReordered")
    local PostGameStartedReordered = ____PostGameStartedReordered.PostGameStartedReordered
    ____exports.PostGameStartedReordered = PostGameStartedReordered
end
do
    local ____PostGameStartedReorderedLast = require("classes.callbacks.PostGameStartedReorderedLast")
    local PostGameStartedReorderedLast = ____PostGameStartedReorderedLast.PostGameStartedReorderedLast
    ____exports.PostGameStartedReorderedLast = PostGameStartedReorderedLast
end
do
    local ____PostGreedModeWave = require("classes.callbacks.PostGreedModeWave")
    local PostGreedModeWave = ____PostGreedModeWave.PostGreedModeWave
    ____exports.PostGreedModeWave = PostGreedModeWave
end
do
    local ____PostGridEntityBroken = require("classes.callbacks.PostGridEntityBroken")
    local PostGridEntityBroken = ____PostGridEntityBroken.PostGridEntityBroken
    ____exports.PostGridEntityBroken = PostGridEntityBroken
end
do
    local ____PostGridEntityCollision = require("classes.callbacks.PostGridEntityCollision")
    local PostGridEntityCollision = ____PostGridEntityCollision.PostGridEntityCollision
    ____exports.PostGridEntityCollision = PostGridEntityCollision
end
do
    local ____PostGridEntityCustomBroken = require("classes.callbacks.PostGridEntityCustomBroken")
    local PostGridEntityCustomBroken = ____PostGridEntityCustomBroken.PostGridEntityCustomBroken
    ____exports.PostGridEntityCustomBroken = PostGridEntityCustomBroken
end
do
    local ____PostGridEntityCustomCollision = require("classes.callbacks.PostGridEntityCustomCollision")
    local PostGridEntityCustomCollision = ____PostGridEntityCustomCollision.PostGridEntityCustomCollision
    ____exports.PostGridEntityCustomCollision = PostGridEntityCustomCollision
end
do
    local ____PostGridEntityCustomInit = require("classes.callbacks.PostGridEntityCustomInit")
    local PostGridEntityCustomInit = ____PostGridEntityCustomInit.PostGridEntityCustomInit
    ____exports.PostGridEntityCustomInit = PostGridEntityCustomInit
end
do
    local ____PostGridEntityCustomRemove = require("classes.callbacks.PostGridEntityCustomRemove")
    local PostGridEntityCustomRemove = ____PostGridEntityCustomRemove.PostGridEntityCustomRemove
    ____exports.PostGridEntityCustomRemove = PostGridEntityCustomRemove
end
do
    local ____PostGridEntityCustomRender = require("classes.callbacks.PostGridEntityCustomRender")
    local PostGridEntityCustomRender = ____PostGridEntityCustomRender.PostGridEntityCustomRender
    ____exports.PostGridEntityCustomRender = PostGridEntityCustomRender
end
do
    local ____PostGridEntityCustomStateChanged = require("classes.callbacks.PostGridEntityCustomStateChanged")
    local PostGridEntityCustomStateChanged = ____PostGridEntityCustomStateChanged.PostGridEntityCustomStateChanged
    ____exports.PostGridEntityCustomStateChanged = PostGridEntityCustomStateChanged
end
do
    local ____PostGridEntityCustomUpdate = require("classes.callbacks.PostGridEntityCustomUpdate")
    local PostGridEntityCustomUpdate = ____PostGridEntityCustomUpdate.PostGridEntityCustomUpdate
    ____exports.PostGridEntityCustomUpdate = PostGridEntityCustomUpdate
end
do
    local ____PostGridEntityInit = require("classes.callbacks.PostGridEntityInit")
    local PostGridEntityInit = ____PostGridEntityInit.PostGridEntityInit
    ____exports.PostGridEntityInit = PostGridEntityInit
end
do
    local ____PostGridEntityRemove = require("classes.callbacks.PostGridEntityRemove")
    local PostGridEntityRemove = ____PostGridEntityRemove.PostGridEntityRemove
    ____exports.PostGridEntityRemove = PostGridEntityRemove
end
do
    local ____PostGridEntityRender = require("classes.callbacks.PostGridEntityRender")
    local PostGridEntityRender = ____PostGridEntityRender.PostGridEntityRender
    ____exports.PostGridEntityRender = PostGridEntityRender
end
do
    local ____PostGridEntityStateChanged = require("classes.callbacks.PostGridEntityStateChanged")
    local PostGridEntityStateChanged = ____PostGridEntityStateChanged.PostGridEntityStateChanged
    ____exports.PostGridEntityStateChanged = PostGridEntityStateChanged
end
do
    local ____PostGridEntityUpdate = require("classes.callbacks.PostGridEntityUpdate")
    local PostGridEntityUpdate = ____PostGridEntityUpdate.PostGridEntityUpdate
    ____exports.PostGridEntityUpdate = PostGridEntityUpdate
end
do
    local ____PostHolyMantleRemoved = require("classes.callbacks.PostHolyMantleRemoved")
    local PostHolyMantleRemoved = ____PostHolyMantleRemoved.PostHolyMantleRemoved
    ____exports.PostHolyMantleRemoved = PostHolyMantleRemoved
end
do
    local ____PostItemDischarge = require("classes.callbacks.PostItemDischarge")
    local PostItemDischarge = ____PostItemDischarge.PostItemDischarge
    ____exports.PostItemDischarge = PostItemDischarge
end
do
    local ____PostItemPickup = require("classes.callbacks.PostItemPickup")
    local PostItemPickup = ____PostItemPickup.PostItemPickup
    ____exports.PostItemPickup = PostItemPickup
end
do
    local ____PostKeyboardChanged = require("classes.callbacks.PostKeyboardChanged")
    local PostKeyboardPressed = ____PostKeyboardChanged.PostKeyboardChanged
    ____exports.PostKeyboardPressed = PostKeyboardPressed
end
do
    local ____PostKnifeInitFilter = require("classes.callbacks.PostKnifeInitFilter")
    local PostKnifeInitFilter = ____PostKnifeInitFilter.PostKnifeInitFilter
    ____exports.PostKnifeInitFilter = PostKnifeInitFilter
end
do
    local ____PostKnifeInitLate = require("classes.callbacks.PostKnifeInitLate")
    local PostKnifeInitLate = ____PostKnifeInitLate.PostKnifeInitLate
    ____exports.PostKnifeInitLate = PostKnifeInitLate
end
do
    local ____PostKnifeRenderFilter = require("classes.callbacks.PostKnifeRenderFilter")
    local PostKnifeRenderFilter = ____PostKnifeRenderFilter.PostKnifeRenderFilter
    ____exports.PostKnifeRenderFilter = PostKnifeRenderFilter
end
do
    local ____PostKnifeUpdateFilter = require("classes.callbacks.PostKnifeUpdateFilter")
    local PostKnifeUpdateFilter = ____PostKnifeUpdateFilter.PostKnifeUpdateFilter
    ____exports.PostKnifeUpdateFilter = PostKnifeUpdateFilter
end
do
    local ____PostLaserInitFilter = require("classes.callbacks.PostLaserInitFilter")
    local PostLaserInitFilter = ____PostLaserInitFilter.PostLaserInitFilter
    ____exports.PostLaserInitFilter = PostLaserInitFilter
end
do
    local ____PostLaserInitLate = require("classes.callbacks.PostLaserInitLate")
    local PostLaserInitLate = ____PostLaserInitLate.PostLaserInitLate
    ____exports.PostLaserInitLate = PostLaserInitLate
end
do
    local ____PostLaserRenderFilter = require("classes.callbacks.PostLaserRenderFilter")
    local PostLaserRenderFilter = ____PostLaserRenderFilter.PostLaserRenderFilter
    ____exports.PostLaserRenderFilter = PostLaserRenderFilter
end
do
    local ____PostLaserUpdateFilter = require("classes.callbacks.PostLaserUpdateFilter")
    local PostLaserUpdateFilter = ____PostLaserUpdateFilter.PostLaserUpdateFilter
    ____exports.PostLaserUpdateFilter = PostLaserUpdateFilter
end
do
    local ____PostNPCDeathFilter = require("classes.callbacks.PostNPCDeathFilter")
    local PostNPCDeathFilter = ____PostNPCDeathFilter.PostNPCDeathFilter
    ____exports.PostNPCDeathFilter = PostNPCDeathFilter
end
do
    local ____PostNPCInitFilter = require("classes.callbacks.PostNPCInitFilter")
    local PostNPCInitFilter = ____PostNPCInitFilter.PostNPCInitFilter
    ____exports.PostNPCInitFilter = PostNPCInitFilter
end
do
    local ____PostNPCInitLate = require("classes.callbacks.PostNPCInitLate")
    local PostNPCInitLate = ____PostNPCInitLate.PostNPCInitLate
    ____exports.PostNPCInitLate = PostNPCInitLate
end
do
    local ____PostNPCRenderFilter = require("classes.callbacks.PostNPCRenderFilter")
    local PostNPCRenderFilter = ____PostNPCRenderFilter.PostNPCRenderFilter
    ____exports.PostNPCRenderFilter = PostNPCRenderFilter
end
do
    local ____PostNPCStateChanged = require("classes.callbacks.PostNPCStateChanged")
    local PostNPCStateChanged = ____PostNPCStateChanged.PostNPCStateChanged
    ____exports.PostNPCStateChanged = PostNPCStateChanged
end
do
    local ____PostNPCUpdateFilter = require("classes.callbacks.PostNPCUpdateFilter")
    local PostNPCUpdateFilter = ____PostNPCUpdateFilter.PostNPCUpdateFilter
    ____exports.PostNPCUpdateFilter = PostNPCUpdateFilter
end
do
    local ____PostNewLevelReordered = require("classes.callbacks.PostNewLevelReordered")
    local PostNewLevelReordered = ____PostNewLevelReordered.PostNewLevelReordered
    ____exports.PostNewLevelReordered = PostNewLevelReordered
end
do
    local ____PostNewRoomEarly = require("classes.callbacks.PostNewRoomEarly")
    local PostNewRoomEarly = ____PostNewRoomEarly.PostNewRoomEarly
    ____exports.PostNewRoomEarly = PostNewRoomEarly
end
do
    local ____PostNewRoomReordered = require("classes.callbacks.PostNewRoomReordered")
    local PostNewRoomReordered = ____PostNewRoomReordered.PostNewRoomReordered
    ____exports.PostNewRoomReordered = PostNewRoomReordered
end
do
    local ____PostPEffectUpdateReordered = require("classes.callbacks.PostPEffectUpdateReordered")
    local PostPEffectUpdateReordered = ____PostPEffectUpdateReordered.PostPEffectUpdateReordered
    ____exports.PostPEffectUpdateReordered = PostPEffectUpdateReordered
end
do
    local ____PostPickupChanged = require("classes.callbacks.PostPickupChanged")
    local PostPickupChanged = ____PostPickupChanged.PostPickupChanged
    ____exports.PostPickupChanged = PostPickupChanged
end
do
    local ____PostPickupCollect = require("classes.callbacks.PostPickupCollect")
    local PostPickupCollect = ____PostPickupCollect.PostPickupCollect
    ____exports.PostPickupCollect = PostPickupCollect
end
do
    local ____PostPickupInitFilter = require("classes.callbacks.PostPickupInitFilter")
    local PostPickupInitFilter = ____PostPickupInitFilter.PostPickupInitFilter
    ____exports.PostPickupInitFilter = PostPickupInitFilter
end
do
    local ____PostPickupInitFirst = require("classes.callbacks.PostPickupInitFirst")
    local PostPickupInitFirst = ____PostPickupInitFirst.PostPickupInitFirst
    ____exports.PostPickupInitFirst = PostPickupInitFirst
end
do
    local ____PostPickupInitLate = require("classes.callbacks.PostPickupInitLate")
    local PostPickupInitLate = ____PostPickupInitLate.PostPickupInitLate
    ____exports.PostPickupInitLate = PostPickupInitLate
end
do
    local ____PostPickupRenderFilter = require("classes.callbacks.PostPickupRenderFilter")
    local PostPickupRenderFilter = ____PostPickupRenderFilter.PostPickupRenderFilter
    ____exports.PostPickupRenderFilter = PostPickupRenderFilter
end
do
    local ____PostPickupSelectionFilter = require("classes.callbacks.PostPickupSelectionFilter")
    local PostPickupSelectionFilter = ____PostPickupSelectionFilter.PostPickupSelectionFilter
    ____exports.PostPickupSelectionFilter = PostPickupSelectionFilter
end
do
    local ____PostPickupStateChanged = require("classes.callbacks.PostPickupStateChanged")
    local PostPickupStateChanged = ____PostPickupStateChanged.PostPickupStateChanged
    ____exports.PostPickupStateChanged = PostPickupStateChanged
end
do
    local ____PostPickupUpdateFilter = require("classes.callbacks.PostPickupUpdateFilter")
    local PostPickupUpdateFilter = ____PostPickupUpdateFilter.PostPickupUpdateFilter
    ____exports.PostPickupUpdateFilter = PostPickupUpdateFilter
end
do
    local ____PostPitRender = require("classes.callbacks.PostPitRender")
    local PostPitRender = ____PostPitRender.PostPitRender
    ____exports.PostPitRender = PostPitRender
end
do
    local ____PostPitUpdate = require("classes.callbacks.PostPitUpdate")
    local PostPitUpdate = ____PostPitUpdate.PostPitUpdate
    ____exports.PostPitUpdate = PostPitUpdate
end
do
    local ____PostPlayerChangeHealth = require("classes.callbacks.PostPlayerChangeHealth")
    local PostPlayerChangeHealth = ____PostPlayerChangeHealth.PostPlayerChangeHealth
    ____exports.PostPlayerChangeHealth = PostPlayerChangeHealth
end
do
    local ____PostPlayerChangeStat = require("classes.callbacks.PostPlayerChangeStat")
    local PostPlayerChangeStat = ____PostPlayerChangeStat.PostPlayerChangeStat
    ____exports.PostPlayerChangeStat = PostPlayerChangeStat
end
do
    local ____PostPlayerChangeType = require("classes.callbacks.PostPlayerChangeType")
    local PostPlayerChangeType = ____PostPlayerChangeType.PostPlayerChangeType
    ____exports.PostPlayerChangeType = PostPlayerChangeType
end
do
    local ____PostPlayerCollectibleAdded = require("classes.callbacks.PostPlayerCollectibleAdded")
    local PostPlayerCollectibleAdded = ____PostPlayerCollectibleAdded.PostPlayerCollectibleAdded
    ____exports.PostPlayerCollectibleAdded = PostPlayerCollectibleAdded
end
do
    local ____PostPlayerCollectibleRemoved = require("classes.callbacks.PostPlayerCollectibleRemoved")
    local PostPlayerCollectibleRemoved = ____PostPlayerCollectibleRemoved.PostPlayerCollectibleRemoved
    ____exports.PostPlayerCollectibleRemoved = PostPlayerCollectibleRemoved
end
do
    local ____PostPlayerFatalDamage = require("classes.callbacks.PostPlayerFatalDamage")
    local PostPlayerFatalDamage = ____PostPlayerFatalDamage.PostPlayerFatalDamage
    ____exports.PostPlayerFatalDamage = PostPlayerFatalDamage
end
do
    local ____PostPlayerInitFirst = require("classes.callbacks.PostPlayerInitFirst")
    local PostPlayerInitFirst = ____PostPlayerInitFirst.PostPlayerInitFirst
    ____exports.PostPlayerInitFirst = PostPlayerInitFirst
end
do
    local ____PostPlayerInitLate = require("classes.callbacks.PostPlayerInitLate")
    local PostPlayerInitLate = ____PostPlayerInitLate.PostPlayerInitLate
    ____exports.PostPlayerInitLate = PostPlayerInitLate
end
do
    local ____PostPlayerRenderReordered = require("classes.callbacks.PostPlayerRenderReordered")
    local PostPlayerRenderReordered = ____PostPlayerRenderReordered.PostPlayerRenderReordered
    ____exports.PostPlayerRenderReordered = PostPlayerRenderReordered
end
do
    local ____PostPlayerUpdateReordered = require("classes.callbacks.PostPlayerUpdateReordered")
    local PostPlayerUpdateReordered = ____PostPlayerUpdateReordered.PostPlayerUpdateReordered
    ____exports.PostPlayerUpdateReordered = PostPlayerUpdateReordered
end
do
    local ____PostPoopRender = require("classes.callbacks.PostPoopRender")
    local PostPoopRender = ____PostPoopRender.PostPoopRender
    ____exports.PostPoopRender = PostPoopRender
end
do
    local ____PostPoopUpdate = require("classes.callbacks.PostPoopUpdate")
    local PostPoopUpdate = ____PostPoopUpdate.PostPoopUpdate
    ____exports.PostPoopUpdate = PostPoopUpdate
end
do
    local ____PostPressurePlateRender = require("classes.callbacks.PostPressurePlateRender")
    local PostPressurePlateRender = ____PostPressurePlateRender.PostPressurePlateRender
    ____exports.PostPressurePlateRender = PostPressurePlateRender
end
do
    local ____PostPressurePlateUpdate = require("classes.callbacks.PostPressurePlateUpdate")
    local PostPressurePlateUpdate = ____PostPressurePlateUpdate.PostPressurePlateUpdate
    ____exports.PostPressurePlateUpdate = PostPressurePlateUpdate
end
do
    local ____PostProjectileInitFilter = require("classes.callbacks.PostProjectileInitFilter")
    local PostProjectileInitFilter = ____PostProjectileInitFilter.PostProjectileInitFilter
    ____exports.PostProjectileInitFilter = PostProjectileInitFilter
end
do
    local ____PostProjectileInitLate = require("classes.callbacks.PostProjectileInitLate")
    local PostProjectileInitLate = ____PostProjectileInitLate.PostProjectileInitLate
    ____exports.PostProjectileInitLate = PostProjectileInitLate
end
do
    local ____PostProjectileKill = require("classes.callbacks.PostProjectileKill")
    local PostProjectileKill = ____PostProjectileKill.PostProjectileKill
    ____exports.PostProjectileKill = PostProjectileKill
end
do
    local ____PostProjectileRenderFilter = require("classes.callbacks.PostProjectileRenderFilter")
    local PostProjectileRenderFilter = ____PostProjectileRenderFilter.PostProjectileRenderFilter
    ____exports.PostProjectileRenderFilter = PostProjectileRenderFilter
end
do
    local ____PostProjectileUpdateFilter = require("classes.callbacks.PostProjectileUpdateFilter")
    local PostProjectileUpdateFilter = ____PostProjectileUpdateFilter.PostProjectileUpdateFilter
    ____exports.PostProjectileUpdateFilter = PostProjectileUpdateFilter
end
do
    local ____PostPurchase = require("classes.callbacks.PostPurchase")
    local PostPurchase = ____PostPurchase.PostPurchase
    ____exports.PostPurchase = PostPurchase
end
do
    local ____PostRockRender = require("classes.callbacks.PostRockRender")
    local PostRockRender = ____PostRockRender.PostRockRender
    ____exports.PostRockRender = PostRockRender
end
do
    local ____PostRockUpdate = require("classes.callbacks.PostRockUpdate")
    local PostRockUpdate = ____PostRockUpdate.PostRockUpdate
    ____exports.PostRockUpdate = PostRockUpdate
end
do
    local ____PostRoomClearChanged = require("classes.callbacks.PostRoomClearChanged")
    local PostRoomClearChanged = ____PostRoomClearChanged.PostRoomClearChanged
    ____exports.PostRoomClearChanged = PostRoomClearChanged
end
do
    local ____PostSacrifice = require("classes.callbacks.PostSacrifice")
    local PostSacrifice = ____PostSacrifice.PostSacrifice
    ____exports.PostSacrifice = PostSacrifice
end
do
    local ____PostSlotAnimationChanged = require("classes.callbacks.PostSlotAnimationChanged")
    local PostSlotAnimationChanged = ____PostSlotAnimationChanged.PostSlotAnimationChanged
    ____exports.PostSlotAnimationChanged = PostSlotAnimationChanged
end
do
    local ____PostSlotCollision = require("classes.callbacks.PostSlotCollision")
    local PostSlotCollision = ____PostSlotCollision.PostSlotCollision
    ____exports.PostSlotCollision = PostSlotCollision
end
do
    local ____PostSlotDestroyed = require("classes.callbacks.PostSlotDestroyed")
    local PostSlotDestroyed = ____PostSlotDestroyed.PostSlotDestroyed
    ____exports.PostSlotDestroyed = PostSlotDestroyed
end
do
    local ____PostSlotInit = require("classes.callbacks.PostSlotInit")
    local PostSlotInit = ____PostSlotInit.PostSlotInit
    ____exports.PostSlotInit = PostSlotInit
end
do
    local ____PostSlotRender = require("classes.callbacks.PostSlotRender")
    local PostSlotRender = ____PostSlotRender.PostSlotRender
    ____exports.PostSlotRender = PostSlotRender
end
do
    local ____PostSlotUpdate = require("classes.callbacks.PostSlotUpdate")
    local PostSlotUpdate = ____PostSlotUpdate.PostSlotUpdate
    ____exports.PostSlotUpdate = PostSlotUpdate
end
do
    local ____PostSpikesRender = require("classes.callbacks.PostSpikesRender")
    local PostSpikesRender = ____PostSpikesRender.PostSpikesRender
    ____exports.PostSpikesRender = PostSpikesRender
end
do
    local ____PostSpikesUpdate = require("classes.callbacks.PostSpikesUpdate")
    local PostSpikesUpdate = ____PostSpikesUpdate.PostSpikesUpdate
    ____exports.PostSpikesUpdate = PostSpikesUpdate
end
do
    local ____PostTNTRender = require("classes.callbacks.PostTNTRender")
    local PostTNTRender = ____PostTNTRender.PostTNTRender
    ____exports.PostTNTRender = PostTNTRender
end
do
    local ____PostTNTUpdate = require("classes.callbacks.PostTNTUpdate")
    local PostTNTUpdate = ____PostTNTUpdate.PostTNTUpdate
    ____exports.PostTNTUpdate = PostTNTUpdate
end
do
    local ____PostTearInitFilter = require("classes.callbacks.PostTearInitFilter")
    local PostTearInitFilter = ____PostTearInitFilter.PostTearInitFilter
    ____exports.PostTearInitFilter = PostTearInitFilter
end
do
    local ____PostTearInitLate = require("classes.callbacks.PostTearInitLate")
    local PostTearInitLate = ____PostTearInitLate.PostTearInitLate
    ____exports.PostTearInitLate = PostTearInitLate
end
do
    local ____PostTearInitVeryLate = require("classes.callbacks.PostTearInitVeryLate")
    local PostTearInitVeryLate = ____PostTearInitVeryLate.PostTearInitVeryLate
    ____exports.PostTearInitVeryLate = PostTearInitVeryLate
end
do
    local ____PostTearKill = require("classes.callbacks.PostTearKill")
    local PostTearKill = ____PostTearKill.PostTearKill
    ____exports.PostTearKill = PostTearKill
end
do
    local ____PostTearRenderFilter = require("classes.callbacks.PostTearRenderFilter")
    local PostTearRenderFilter = ____PostTearRenderFilter.PostTearRenderFilter
    ____exports.PostTearRenderFilter = PostTearRenderFilter
end
do
    local ____PostTearUpdateFilter = require("classes.callbacks.PostTearUpdateFilter")
    local PostTearUpdateFilter = ____PostTearUpdateFilter.PostTearUpdateFilter
    ____exports.PostTearUpdateFilter = PostTearUpdateFilter
end
do
    local ____PostTransformation = require("classes.callbacks.PostTransformation")
    local PostTransformation = ____PostTransformation.PostTransformation
    ____exports.PostTransformation = PostTransformation
end
do
    local ____PostTrinketBreak = require("classes.callbacks.PostTrinketBreak")
    local PostTrinketBreak = ____PostTrinketBreak.PostTrinketBreak
    ____exports.PostTrinketBreak = PostTrinketBreak
end
do
    local ____PostUsePillFilter = require("classes.callbacks.PostUsePillFilter")
    local PostUsePillFilter = ____PostUsePillFilter.PostUsePillFilter
    ____exports.PostUsePillFilter = PostUsePillFilter
end
do
    local ____PreBerserkDeath = require("classes.callbacks.PreBerserkDeath")
    local PreBerserkDeath = ____PreBerserkDeath.PreBerserkDeath
    ____exports.PreBerserkDeath = PreBerserkDeath
end
do
    local ____PreBombCollisionFilter = require("classes.callbacks.PreBombCollisionFilter")
    local PreBombCollisionFilter = ____PreBombCollisionFilter.PreBombCollisionFilter
    ____exports.PreBombCollisionFilter = PreBombCollisionFilter
end
do
    local ____PreCustomRevive = require("classes.callbacks.PreCustomRevive")
    local PreCustomRevive = ____PreCustomRevive.PreCustomRevive
    ____exports.PreCustomRevive = PreCustomRevive
end
do
    local ____PreEntitySpawnFilter = require("classes.callbacks.PreEntitySpawnFilter")
    local PreEntitySpawnFilter = ____PreEntitySpawnFilter.PreEntitySpawnFilter
    ____exports.PreEntitySpawnFilter = PreEntitySpawnFilter
end
do
    local ____PreFamiliarCollisionFilter = require("classes.callbacks.PreFamiliarCollisionFilter")
    local PreFamiliarCollisionFilter = ____PreFamiliarCollisionFilter.PreFamiliarCollisionFilter
    ____exports.PreFamiliarCollisionFilter = PreFamiliarCollisionFilter
end
do
    local ____PreGetPedestal = require("classes.callbacks.PreGetPedestal")
    local PreGetPedestal = ____PreGetPedestal.PreGetPedestal
    ____exports.PreGetPedestal = PreGetPedestal
end
do
    local ____PreItemPickup = require("classes.callbacks.PreItemPickup")
    local PreItemPickup = ____PreItemPickup.PreItemPickup
    ____exports.PreItemPickup = PreItemPickup
end
do
    local ____PreKnifeCollisionFilter = require("classes.callbacks.PreKnifeCollisionFilter")
    local PreKnifeCollisionFilter = ____PreKnifeCollisionFilter.PreKnifeCollisionFilter
    ____exports.PreKnifeCollisionFilter = PreKnifeCollisionFilter
end
do
    local ____PreNPCCollisionFilter = require("classes.callbacks.PreNPCCollisionFilter")
    local PreNPCCollisionFilter = ____PreNPCCollisionFilter.PreNPCCollisionFilter
    ____exports.PreNPCCollisionFilter = PreNPCCollisionFilter
end
do
    local ____PreNPCUpdateFilter = require("classes.callbacks.PreNPCUpdateFilter")
    local PreNPCUpdateFilter = ____PreNPCUpdateFilter.PreNPCUpdateFilter
    ____exports.PreNPCUpdateFilter = PreNPCUpdateFilter
end
do
    local ____PreNewLevel = require("classes.callbacks.PreNewLevel")
    local PreNewLevel = ____PreNewLevel.PreNewLevel
    ____exports.PreNewLevel = PreNewLevel
end
do
    local ____PreProjectileCollisionFilter = require("classes.callbacks.PreProjectileCollisionFilter")
    local PreProjectileCollisionFilter = ____PreProjectileCollisionFilter.PreProjectileCollisionFilter
    ____exports.PreProjectileCollisionFilter = PreProjectileCollisionFilter
end
do
    local ____PreRoomEntitySpawnFilter = require("classes.callbacks.PreRoomEntitySpawnFilter")
    local PreRoomEntitySpawnFilter = ____PreRoomEntitySpawnFilter.PreRoomEntitySpawnFilter
    ____exports.PreRoomEntitySpawnFilter = PreRoomEntitySpawnFilter
end
do
    local ____PreTearCollisionFilter = require("classes.callbacks.PreTearCollisionFilter")
    local PreTearCollisionFilter = ____PreTearCollisionFilter.PreTearCollisionFilter
    ____exports.PreTearCollisionFilter = PreTearCollisionFilter
end
return ____exports
